Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(4)

Issue 1521113002: DevTools: Initial implementation of slow CPU emulation. (Closed)

Created:
3 years ago by alph
Modified:
3 years ago
Reviewers:
pfeldman
CC:
chromium-reviews, mlamouri+watch-content_chromium.org, caseq+blink_chromium.org, pfeldman+blink_chromium.org, jam, lushnikov+blink_chromium.org, blink-reviews, dglazkov+blink, darin-cc_chromium.org, devtools-reviews_chromium.org, mkwst+moarreviews-renderer_chromium.org, apavlov+blink_chromium.org, sergeyv+blink_chromium.org, blink-reviews-api_chromium.org, pfeldman, kozyatinskiy+blink_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

DevTools: Initial implementation of slow CPU emulation. CPU throttling uses SIGUSR2 signal handler to pause the thread. Current limitations are: - throttles renderer thread only - POSIX only supported. BUG=436111 Committed: https://crrev.com/b41f3cfb371039ad925a5e778e3addddd8d8b2b5 Cr-Commit-Position: refs/heads/master@{#364923}

Patch Set 1 #

Total comments: 2

Patch Set 2 : 4 landing #

Unified diffs Side-by-side diffs Delta from patch set Stats (+356 lines, -11 lines) Patch
M content/browser/devtools/protocol/network_handler.cc View 1 chunk +1 line, -1 line 0 comments Download
M content/content_renderer.gypi View 1 chunk +2 lines, -0 lines 0 comments Download
M content/renderer/devtools/devtools_agent.h View 4 chunks +5 lines, -0 lines 0 comments Download
M content/renderer/devtools/devtools_agent.cc View 1 3 chunks +7 lines, -1 line 0 comments Download
A content/renderer/devtools/devtools_cpu_throttler.h View 1 chunk +30 lines, -0 lines 0 comments Download
A content/renderer/devtools/devtools_cpu_throttler.cc View 1 1 chunk +185 lines, -0 lines 0 comments Download
M content/renderer/devtools/v8_sampling_profiler.cc View 1 chunk +1 line, -1 line 0 comments Download
M third_party/WebKit/Source/devtools/front_end/main/Main.js View 1 chunk +1 line, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/front_end/timeline/TimelinePanel.js View 1 4 chunks +84 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/devtools/protocol.json View 1 chunk +7 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/InspectorEmulationAgent.h View 3 chunks +11 lines, -4 lines 0 comments Download
M third_party/WebKit/Source/web/InspectorEmulationAgent.cpp View 2 chunks +9 lines, -3 lines 0 comments Download
M third_party/WebKit/Source/web/WebDevToolsAgentImpl.h View 3 chunks +5 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/WebDevToolsAgentImpl.cpp View 2 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/public/web/WebDevToolsAgentClient.h View 1 chunk +2 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (6 generated)
alph
3 years ago (2015-12-11 23:13:03 UTC) #2
pbakaus
WUT that sounds amazing! Do you have a screenshot of the UI integration?
3 years ago (2015-12-12 00:24:04 UTC) #3
pfeldman
lgtm https://codereview.chromium.org/1521113002/diff/1/content/renderer/devtools/devtools_cpu_throttler.cc File content/renderer/devtools/devtools_cpu_throttler.cc (right): https://codereview.chromium.org/1521113002/diff/1/content/renderer/devtools/devtools_cpu_throttler.cc#newcode24 content/renderer/devtools/devtools_cpu_throttler.cc:24: CPUThrottlingThread(double rate); explicit https://codereview.chromium.org/1521113002/diff/1/third_party/WebKit/Source/devtools/front_end/timeline/TimelinePanel.js File third_party/WebKit/Source/devtools/front_end/timeline/TimelinePanel.js (right): https://codereview.chromium.org/1521113002/diff/1/third_party/WebKit/Source/devtools/front_end/timeline/TimelinePanel.js#newcode2092 ...
3 years ago (2015-12-12 00:33:18 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1521113002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1521113002/20001
3 years ago (2015-12-12 00:51:25 UTC) #7
paulirish
On 2015/12/12 at 00:24:04, pbakaus wrote: > WUT that sounds amazing! Do you have a ...
3 years ago (2015-12-12 01:22:18 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: android_chromium_gn_compile_dbg on tryserver.chromium.linux (JOB_TIMED_OUT, no build URL) android_clang_dbg_recipe on ...
3 years ago (2015-12-12 02:56:45 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1521113002/20001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1521113002/20001
3 years ago (2015-12-12 06:55:55 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:20001)
3 years ago (2015-12-12 07:49:45 UTC) #13
commit-bot: I haz the power
3 years ago (2015-12-12 07:50:55 UTC) #15
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/b41f3cfb371039ad925a5e778e3addddd8d8b2b5
Cr-Commit-Position: refs/heads/master@{#364923}

Powered by Google App Engine
This is Rietveld 408576698